=== debian/changelog ===
pysolfc (2.0-4) unstable; urgency=low

  [ Hugo Lefeuvre ]
  * debian/control:
    - Add Hugo Lefeuvre as uploader (Closes: #767603).
    - Bump Standards-Version to 3.9.7.
    - Update Vcs-Git and Vcs-Browser fields to use an encrypted
      transport protocol.
    - Add a dependency on dh-python.
  * debian/copyright:
    - Add a copyright entry for Hugo Lefeuvre.
  * debian/patches/desktop:
    - Add a Keyword entry to make it freedesktop compliant.

  [ Bernhard Reiter ]
  * debian/control:
    - s/freecell-solver/freecell-solver-bin/.
    - Ran wrap-and-sort -sa.
  * debian/menu: Add longtitle and icon fields (Closes: #726857).

  [ Markus Koschany ]
  * Remove Bernhard Reiter from Uploaders at his own request.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 3 Apr 2016 15:07:56 +0200

pysolfc (2.0-3) unstable; urgency=low

  * debian/copyright:
    - Change Format from DEP-5 to copyright-format/1.0 link.
    - Point to GFDL-1.3 instead of just GFDL.
  * debian/control:
    - Remove Replaces: and Conflicts: lines as those packages aren't in
      Debian anymore.
    - Remove X-Python-Version line.
    - Switch to canonical Vcs-* fields.
    - Bump Standards-Version to 3.9.4.
    - Bump debhelper Build-Depends to >= 9.
  * debian/compat: Bump to 9.
  * debian/control, debian/rules:
    - Drop transitional pysol package now that wheezy is out.
  * debian/rules:
    - Fix order of arguments for the dh command.
    - Delete COPYRIGHT files in the override_dh_auto_install (instead of the
      override_dh_auto_install) section.
  * debian/pysolfc.install: Remove.
  * debian/patches/pillow, debian/patches/series: Fix PIL imports for pillow
    compatibility -- see 5117D0B7.801@debian.org (LP: 1160571).

 -- Bernhard Reiter <ockham@raz.or.at>  Wed, 17 Apr 2013 08:10:25 +0200

pysolfc (2.0-2) unstable; urgency=low

  * Remove python-gnome2 dependency.

 -- Bernhard Reiter <ockham@raz.or.at>  Sun, 01 Jan 2012 21:58:23 +0100

pysolfc (2.0-1) unstable; urgency=low

  * First Debian release (Closes: #519752).
  * debian/changelog:
    - Moved Debian bug number from initial changelog entry to this one.
    - Forgot to add a colon after "LP" in the inital changelog entry.
  * debian/control:
    - Replace "Build-Depends-Indep: python (>= 2.6.6-3~)" with
      "Build-Depends: python-all (>= 2.6.6-3~)"
    - Recommends: s/python-imaging/python-imaging-tk/ (LP: #716403).
    - Add pysol transitional binary package.
    - Move python-pygame from Recommends to Depends.
    - Add Vcs-Git and Vcs-Browser
    - Amend Replaces and Conflicts fields.
    - Bump Standards-Version to 3.9.2 (no changes needed).
    - Make Debian Games Team the Maintainer, and myself an Uploader.
  * debian/copyright:
    - Add more copyright holders.
    - Annotate cardsets entries with comments of their origins.
    - Minor updates for current DEP-5 revision.
  * debian/gbp.conf: Create.
  * debian/rules:
    - Add override_dh_gencontrol section with some epoch magic
      to ensure proper upgrade path from pysol.
    - Exclude COPYRIGHT files in individual cardset directories
      from installation.
  * Migrate from python-support to dh_python2.
    debian/control:
    - Remove python-support from Build-Depends.
    - Build-Depend on python (>= 2.6.6-3~) instead of (>= 2.4)
    - s/XS-Python-Version/X-Python-Version/
    debian/rules:
    - Add '--with python2' after 'dh'
  * debian/patches/*: Remove # in front of comments.
  * debian/patches/montana, debian/patches/series: Update patch, add to series.
  * debian/patches/remove_checks_for_copyright_files, debian/patches/series:
    Remove checks for individual cardsets' COPYRIGHT files
    which we remove in order to comply with Debian policy.
  * debian/pysolfc.install: Add.

 -- Bernhard Reiter <ockham@raz.or.at>  Sat, 26 Nov 2011 19:32:47 +0100

pysolfc (2.0-0ubuntu1) lucid; urgency=low

  * Initial release (LP: #179298)

 -- Bernhard Reiter <ockham@raz.or.at>  Fri, 4 Feb 2010 16:16:38 +0100
