=== debian/watch ===
version=3
http://sf.net/pysolfc/PySolFC-(\d.*)\.tar\.bz2
