=== debian/changelog ===
pysolfc (2.6.4-3) unstable; urgency=medium

  * debian/patches/python3.8: Don't use the removed time.clock() anymore.
    Thanks to Matthias Klose. (Closes: #950208).
  * debian/control:
    - Add myself to Uploaders.
    - Bump Standards-Version to 4.5.0.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sun, 16 Feb 2020 19:40:20 +0200

pysolfc (2.6.4-2) unstable; urgency=medium

  * Source-only upload.

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 26 Jul 2019 14:30:10 -0300

pysolfc (2.6.4-1) unstable; urgency=medium

  * Team upload.

  [ Hugo Lefeuvre ]
  * Migrate to Python 3 (Closes: #912508).
  * debian/control:
    - Update Vcs-Git and Vcs-Browser fields (Salsa migration).
    - Multiple build-dependency changes due to the migration to Python 3 and
      documentation generation which requires several binary dependencies to
      be build dependencies as well.
  * debian/copyright:
    - Update copyright years.
    - Refresh files list and copyrights to match new upstream release.
  * debian/patches:
    - Refresh patches for new upstream release, remove merged patches.
  * Update docs list.
  * debian/rules:
    - Build translations from po.
    - Build html documentation from source.
    - Migrate to pybuild.
  * Bump watch file version to 4.

  [ Juhani Numminen ]
  * New upstream release (Closes: #919923).
    - Compatible with the current version of Python Imaging Library
      (Closes: #931851).
    - No longer crashes when there is no sound card (Closes: #781663).
  * debian/watch: Download a separate orig tarball for the minimal cardsets.
  * debian/gbp.conf:
    - Add component=cardsets to tell gbp about the new additional tarball.
    - Remove compression=bzip2, the defaults are good enough.
  * debian/clean: Clean up after localization build process, html generation,
    and test suite.
  * debian/control:
    - Update home page URL.
    - Bump Standards-Version to 4.4.0.
    - Bump compat level by depending on debhelper-compat (= 12).
    - Add python3-random2 dependency.
    - Declare Rules-Requires-Root: no.
  * debian/docs: AUTHORS is no longer in the tarball.
  * debian/patches:
    - desktop: Add Comment, Keywords, StartupWMClass for better DE integration.
    - manpage: Drop the patch, changes are incorporated upstream.
  * debian/rules:
    - It is no longer necessary to rename the manpage either.
    - Build docs/all_games.html from source.
    - Run a part of the test suite. All tests can't be run as some dependencies
      are not in Debian.
  * debian/tests/: Run the same subset of tests also for the installed package.
  * Remove debian/menu because it's redundant with .desktop (Policy §9.6).
  * debian/copyright:
    - Update home page URL.
    - Add myself to the debian/ paragraph.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Thu, 18 Jul 2019 21:16:29 +0300
