=== debian/control ===
--- 
+++ 
@@ -2,24 +2,32 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: Hugo Lefeuvre <hle@debian.org>,
+           Juhani Numminen <juhaninumminen0@gmail.com>
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.7
-Homepage: http://pysolfc.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/pysolfc.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-games/pysolfc.git
+               python3-all,
+               python3-configobj,
+               python3-pygame,
+               python3-random2,
+               python3-six,
+               python3-tk
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Homepage: https://pysolfc.sourceforge.io/
+Vcs-Browser: https://salsa.debian.org/games-team/pysolfc
+Vcs-Git: https://salsa.debian.org/games-team/pysolfc.git
 
 Package: pysolfc
 Architecture: all
-Depends: python-configobj,
-         python-pygame,
-         python-tk,
+Depends: python3-configobj,
+         python3-pygame,
+         python3-random2,
+         python3-six,
+         python3-tk,
          ${misc:Depends},
-         ${python:Depends}
-Recommends: python-imaging-tk,
-            tk-tile (>= 0.8.0)
+         ${python3:Depends}
+Recommends: python3-pil.imagetk
 Suggests: freecell-solver-bin,
           pysolfc-cardsets
 Description: collection of more than 1000 solitaire card games
