=== debian/tests/control ===
Tests: importing
Restrictions: superficial, allow-stderr, rw-build-tree
