=== debian/control ===
--- 
+++ 
@@ -2,18 +2,23 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Hugo Lefeuvre <hle@debian.org>,
-           Juhani Numminen <juhaninumminen0@gmail.com>
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Uploaders: Juhani Numminen <juhaninumminen0@gmail.com>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               python-is-python3,
                python3-all,
+               python3-attr,
                python3-configobj,
+               python3-flake8-import-order <!nocheck>,
                python3-pygame,
+               python3-pytest <!nocheck>,
+               python3-pysol-cards,
                python3-random2,
+               python3-setuptools,
                python3-six,
                python3-tk
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://pysolfc.sourceforge.io/
 Vcs-Browser: https://salsa.debian.org/games-team/pysolfc
 Vcs-Git: https://salsa.debian.org/games-team/pysolfc.git
@@ -22,11 +27,14 @@
 Architecture: all
 Depends: python3-configobj,
          python3-pygame,
+         python3-pysol-cards,
          python3-random2,
          python3-six,
          python3-tk,
          ${misc:Depends},
          ${python3:Depends}
+Breaks: pysolfc-cardsets (<< 3.0~)
+Repalces: pysolfc-cardsets (<< 3.0~)
 Recommends: python3-pil.imagetk
 Suggests: freecell-solver-bin,
           pysolfc-cardsets
