## pysolfc 3.1.0

=== debian/changelog ===
pysolfc (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.1.0
  * Refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Oct 2024 00:31:06 +0200

pysolfc (3.0.0-2) unstable; urgency=medium

  * Team upload.
  * Patch-out last user of python3-random2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 14 Sep 2024 18:03:02 +0200
