=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                python3-pygame,
                python3-pytest <!nocheck>,
                python3-pysol-cards,
-               python3-random2,
                python3-setuptools,
                python3-six,
                python3-tk
@@ -28,7 +27,6 @@
 Depends: python3-configobj,
          python3-pygame,
          python3-pysol-cards,
-         python3-random2,
          python3-six,
          python3-tk,
          ${misc:Depends},
