=== debian/changelog ===
pysolfc (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * Run 'wrap-and-sort -ast'
  * Rewrite d/rules with newer & shorter syntax
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Add debian/salsa-ci.yml
  * Drop python3-flake8-import-order from build-dep
  * Do not install Thumbs.db crumbs

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 Jan 2026 13:49:29 +0100

pysolfc (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.2.0
  * Remove python3-six patch applied upstream.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 07 Apr 2025 09:57:56 +0200

pysolfc (3.1.0-2) unstable; urgency=medium

  * Team upload.
  * Finish removal of python3-six with upstream commit.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 10 Jan 2025 13:55:48 +0100
