=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS = --install-scripts /usr/share/games/pysolfc \
                              --install-lib /usr/share/games/pysolfc
export PYBUILD_TEST_ARGS = -k 'not test_main'

%:
	dh $@ --buildsystem=pybuild

# In this context, 'rules' are solitaire game rules in html form,
# 'all_games_html' is an index of the games, and 'mo' builds localization.
# The rest is handled by pybuild.
execute_before_dh_auto_build:
	$(MAKE) rules all_games_html mo

execute_after_dh_install:
	# Avoid conflicting with the separate package pysolfc-cardsets.
	rm -r debian/pysolfc/usr/share/games/pysolfc/cardset-hanafuda-200-years/
	find debian -name Thumbs.db -print -delete
