=== debian/tests/control ===
Tests:
 importing,
Restrictions:
 allow-stderr,
 rw-build-tree,
 superficial,
